/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.MGV_ALL_STORED_PROGRAMS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "MgvAllStoredPrograms.findAll", query = "SELECT m FROM MgvAllStoredPrograms m"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByProjectId", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.projectId = :projectId"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByProjectName", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.projectName = :projectName"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByConnectionId", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.connectionId = :connectionId"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByHost", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.host = :host"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByPort", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.port = :port"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByUsername", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.username = :username"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByCatalogId", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.catalogId = :catalogId"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByCatalogName", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.catalogName = :catalogName"),
    @NamedQuery(name = "MgvAllStoredPrograms.findBySchemaId", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.schemaId = :schemaId"),
    @NamedQuery(name = "MgvAllStoredPrograms.findBySchemaName", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.schemaName = :schemaName"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByStoredProgramId", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.storedProgramId = :storedProgramId"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByProgramtype", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.programtype = :programtype"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByStoredProgramName", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.storedProgramName = :storedProgramName"),
    @NamedQuery(name = "MgvAllStoredPrograms.findByPackageIdFk", query = "SELECT m FROM MgvAllStoredPrograms m WHERE m.packageIdFk = :packageIdFk")})
public class MgvAllStoredPrograms implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @Column(name = "PROJECT_ID")
    private BigInteger projectId;
    @Basic(optional = false)
    @Column(name = "PROJECT_NAME")
    private String projectName;
    @Basic(optional = false)
    @Column(name = "CONNECTION_ID")
    private BigInteger connectionId;
    @Column(name = "HOST")
    private String host;
    @Column(name = "PORT")
    private BigInteger port;
    @Column(name = "USERNAME")
    private String username;
    @Basic(optional = false)
    @Column(name = "CATALOG_ID")
    private BigInteger catalogId;
    @Column(name = "CATALOG_NAME")
    private String catalogName;
    @Basic(optional = false)
    @Column(name = "SCHEMA_ID")
    private BigInteger schemaId;
    @Column(name = "SCHEMA_NAME")
    private String schemaName;
    @Basic(optional = false)
    @Column(name = "STORED_PROGRAM_ID")
    private BigInteger storedProgramId;
    @Column(name = "PROGRAMTYPE")
    private String programtype;
    @Column(name = "STORED_PROGRAM_NAME")
    private String storedProgramName;
    @Column(name = "PACKAGE_ID_FK")
    private BigInteger packageIdFk;

    public MgvAllStoredPrograms() {
    }

    public BigInteger getProjectId() {
        return projectId;
    }

    public void setProjectId(BigInteger projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public BigInteger getConnectionId() {
        return connectionId;
    }

    public void setConnectionId(BigInteger connectionId) {
        this.connectionId = connectionId;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public BigInteger getPort() {
        return port;
    }

    public void setPort(BigInteger port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public BigInteger getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(BigInteger catalogId) {
        this.catalogId = catalogId;
    }

    public String getCatalogName() {
        return catalogName;
    }

    public void setCatalogName(String catalogName) {
        this.catalogName = catalogName;
    }

    public BigInteger getSchemaId() {
        return schemaId;
    }

    public void setSchemaId(BigInteger schemaId) {
        this.schemaId = schemaId;
    }

    public String getSchemaName() {
        return schemaName;
    }

    public void setSchemaName(String schemaName) {
        this.schemaName = schemaName;
    }

    public BigInteger getStoredProgramId() {
        return storedProgramId;
    }

    public void setStoredProgramId(BigInteger storedProgramId) {
        this.storedProgramId = storedProgramId;
    }

    public String getProgramtype() {
        return programtype;
    }

    public void setProgramtype(String programtype) {
        this.programtype = programtype;
    }

    public String getStoredProgramName() {
        return storedProgramName;
    }

    public void setStoredProgramName(String storedProgramName) {
        this.storedProgramName = storedProgramName;
    }

    public BigInteger getPackageIdFk() {
        return packageIdFk;
    }

    public void setPackageIdFk(BigInteger packageIdFk) {
        this.packageIdFk = packageIdFk;
    }
    
}
